Bug 519484

Summary: New kernel kills keyboard and mouse input
Product: [Fedora] Fedora Reporter: Darryl L. Pierce <dpierce>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: itamar, kernel-maint, tross
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 06:33:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Darryl L. Pierce 2009-08-26 19:26:29 UTC
Description of problem:
When booting the new kernel, I get a black background during the graphical boot process and the keyboard and mouse both lock up. The system boots normally and is accessible via SSH, but no local input device works.

Version-Release number of selected component (if applicable):
(mcpierce@mcpierce-beta:~)$ rpm -q kernel
...
kernel-2.6.31-0.174.rc7.git2.fc12.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Boot with kernel 2.6.31-0.174.rc7.git2
  
Actual results:
Keyboard and mouse input is unavailable.

Expected results:
Keyboard and mouse should work.

Additional info:
I can boot with any previously installed kernel and all input devices work as expected.

Comment 1 Bug Zapper 2009-11-16 11:43:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Ray Evans 2010-02-04 03:54:26 UTC
This is now reproducible in 'rawhide' F13 on one of my systems.   I use Microsoft USB comfort curve 2000 keyboard and intellimouse explorer 3.0 mouse.  Note that using single user mode the devices work.  The moment the system invokes kdm they become INOP.

Comment 3 Bug Zapper 2010-11-04 10:21:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:33:07 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.